> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all space roles GET https://api.contentful.com/organizations/{organization_id}/roles Returns a paginated list of all roles across all spaces in the organization. Accessible by all organization members. Reference: https://contentful.com/developers/docs/references/user-management-api/space-roles/get-all-space-roles ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `organization_id` (string, required) — The organization ID ### Query parameters - `skip` (integer, optional) — Specify an offset to paginate through results - `limit` (integer, optional) — Specify the maximum number of results - `include` (enum, optional) — Specify linked resources to include in response - Allowed values: `sys.space` ## Response ### 200 OK - Paginated list of space roles across all spaces in the organization - `map from string to any` ## Examples **Response** ```json { "items": [ { "description": "Allows reading Entries and managing API Keys", "name": "Developer", "permissions": { "ContentDelivery": "all", "ContentModel": [ "read" ], "Settings": [] }, "policies": [ { "actions": [ "read" ], "constraint": { "and": [ { "equals": [ { "doc": "sys.type" }, "Entry" ] } ] }, "effect": "allow" } ], "sys": { "createdAt": "2025-09-08T07:09:39Z", "id": "4hD58EyqKCOyHwo2nTzojk", "space": { "sys": { "id": "jn066pnp3hgr", "linkType": "Space", "type": "Link" } }, "type": "Role", "updatedAt": "2025-09-08T07:09:39Z", "version": 0 } } ], "limit": 25, "skip": 0, "sys": { "type": "Array" }, "total": 2 } ```